For R version 4.0.2 and Biconductor version 3.11, clusterProfiler is not working
1
0
Entering edit mode
@f2515cde
Last seen 10 weeks ago
Finland

''' BiocManager::install("clusterProfiler", INSTALL_opts = '--no-lock') '''

Bioconductor version 3.11 (BiocManager 1.30.10), R 4.0.2 (2020-06-22) Installing package(s) 'clusterProfiler' trying URL 'https://bioconductor.org/packages/3.11/bioc/bin/windows/contrib/4.0/clusterProfiler_3.16.1.zip' Content type 'application/zip' length 701307 bytes (684 KB) downloaded 684 KB

package 'clusterProfiler' successfully unpacked and MD5 sums checked

library(clusterProfiler)

Error: package or namespace load failed for 'clusterProfiler' in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]): there is no package called 'europepmc'

And when I try to install 'europepmc',

BiocManager::install("europepmc")

Warning message: In install.packages(...) : installation of package 'europepmc' had non-zero exit status

sessionInfo() R version 4.0.2 (2020-06-22) Platform: x86_64-w64-mingw32/x64 (64-bit) Running under: Windows 10 x64 (build 19045)

Matrix products: default

locale: [1] LC_COLLATE=Finnish_Finland.1252 LC_CTYPE=Finnish_Finland.1252
[3] LC_MONETARY=Finnish_Finland.1252 LC_NUMERIC=C
[5] LC_TIME=Finnish_Finland.1252

attached base packages: [1] stats graphics grDevices utils datasets methods base

other attached packages: [1] readxl_1.3.1 biomaRt_2.44.4

loaded via a namespace (and not attached): [1] bitops_1.0-6 matrixStats_0.58.0
[3] bit64_4.0.5 RColorBrewer_1.1-2
[5] progress_1.2.2 httr_1.4.2
[7] GenomeInfoDb_1.24.2 tools_4.0.2
[9] utf8_1.1.4 R6_2.5.0
[11] DBI_1.1.1 BiocGenerics_0.34.0
[13] colorspace_2.0-0 withr_2.4.1
[15] tidyselect_1.1.0 gridExtra_2.3
[17] prettyunits_1.1.1 bit_4.0.4
[19] curl_4.3 compiler_4.0.2
[21] cli_2.3.1 Biobase_2.48.0
[23] xml2_1.3.2 DelayedArray_0.14.1
[25] rtracklayer_1.48.0 scales_1.1.1
[27] askpass_1.1 rappdirs_0.3.3
[29] stringr_1.4.0 digest_0.6.27
[31] Rsamtools_2.4.0 DOSE_3.14.0
[33] XVector_0.28.0 pkgconfig_2.0.3
[35] dbplyr_2.1.1 fastmap_1.1.0
[37] rlang_0.4.10 rstudioapi_0.13
[39] RSQLite_2.2.4 farver_2.1.0
[41] generics_0.1.0 BiocParallel_1.22.0
[43] GOSemSim_2.14.2 dplyr_1.0.5
[45] RCurl_1.98-1.2 magrittr_2.0.1
[47] GO.db_3.11.4 GenomeInfoDbData_1.2.3
[49] Matrix_1.4-1 Rcpp_1.0.6
[51] munsell_0.5.0 S4Vectors_0.26.1
[53] fansi_0.4.2 viridis_0.5.1
[55] lifecycle_1.0.0 stringi_1.5.3
[57] ggraph_2.0.5 MASS_7.3-51.6
[59] SummarizedExperiment_1.18.2 zlibbioc_1.34.0
[61] plyr_1.8.6 qvalue_2.20.0
[63] BiocFileCache_1.12.1 grid_4.0.2
[65] blob_1.2.1 ggrepel_0.9.1
[67] parallel_4.0.2 DO.db_2.9
[69] crayon_1.4.1 lattice_0.20-41
[71] cowplot_1.1.1 graphlayouts_0.8.0
[73] Biostrings_2.56.0 splines_4.0.2
[75] GenomicFeatures_1.40.1 hms_1.0.0
[77] pillar_1.5.1 igraph_1.3.0
[79] fgsea_1.14.0 GenomicRanges_1.40.0
[81] reshape2_1.4.4 stats4_4.0.2
[83] fastmatch_1.1-3 XML_3.99-0.5
[85] glue_1.4.2 downloader_0.4
[87] data.table_1.14.0 BiocManager_1.30.10
[89] tweenr_1.0.2 vctrs_0.3.6
[91] cellranger_1.1.0 polyclip_1.10-0
[93] tidyr_1.1.3 gtable_0.3.0
[95] openssl_1.4.3 purrr_0.3.4
[97] assertthat_0.2.1 cachem_1.0.4
[99] ggplot2_3.3.3 ggforce_0.3.3
[101] tidygraph_1.2.1 viridisLite_0.3.0
[103] tibble_3.1.0 GenomicAlignments_1.24.0
[105] AnnotationDbi_1.50.3 memoise_2.0.0
[107] IRanges_2.22.2 ellipsis_0.3.1

Bioconductor clusterProfiler • 308 views
ADD COMMENT
0
Entering edit mode

It's a very old version of Bioconductor. The issue is clear, you need to install europepmc, but you don't show the compilation/install error message.

ADD REPLY
0
Entering edit mode
@james-w-macdonald-5106
Last seen 1 day ago
United States

We do not support old versions of R/Bioconductor (and certainly not 3 year old versions!). Please upgrade to the current versions of both and try again.

Login before adding your answer.

Traffic: 696 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6